### Virtual Method

# Atk Component scroll_to_point

since: 2.30

#### Declaration [src]

    gboolean
    scroll_to_point (
      AtkComponent* component,
      AtkCoordType coords,
      gint x,
      gint y
    )

#### Description [src]

Move the top-left of `component` to a given position of the screen by scrolling all necessary parents.

Available since: 2.30

#### Parameters

`coords`

  Type: `AtkCoordType`

  Specify whether coordinates are relative to the screen or to the parent object.

`x`

  Type: `gint`

  X-position where to scroll to.

`y`

  Type: `gint`

  Y-position where to scroll to.

#### Return value

Type: `gboolean`

Whether scrolling was successful.